| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::StarFile Class Reference

Class for reading star files. More...

Inheritance diagram for EECFI::StarFile:

List of all members.

## Public Member Functions
| StarFile ()
| Empty constructor.
| StarFile (const string fileNam)
| Constructor with file name.
| ~StarFile ()
| Destructor.
void | read () throw (CfiError)
| Read the whole file.
void | read (const string zoneIdentity) throw (CfiError)
| Read one star.
vector< string > | readIds () throw (CfiError)
| Read the list of star names.
## Public Attributes
vector< StarRec > | starRec

## Detailed Description

Class for reading star files.

## Constructor & Destructor Documentation

EECFI::StarFile::StarFile | ( |  | ) |

Empty constructor.

References EECFI::EEFile::fileType.

EECFI::StarFile::StarFile | ( | const string | fileNam | ) |

Constructor with file name.

EECFI::StarFile::~StarFile | ( |  | ) |

Destructor.

References EECFI::EEFile::fixedHeader.

## Member Function Documentation

void EECFI::StarFile::read | ( |  | ) | throw (CfiError)

Read the whole file.

References EECFI::EEFile::fileName, EECFI::StarRec::flag, EECFI::StarRec::muDec, EECFI::StarRec::muRa, EECFI::StarRec::par, EECFI::StarRec::radVel, EECFI::StarRec::starDec, EECFI::StarRec::starId, EECFI::StarRec::starRa, starRec, and EECFI::CfiClass::throwWarn.

void EECFI::StarFile::read | ( | const string | starIdentity | ) | throw (CfiError)

Read one star.

Parameters:

  | starIdentity | Identity of the star to read.

References EECFI::StarRec::flag, EECFI::StarRec::muDec, EECFI::StarRec::muRa, EECFI::StarRec::par, EECFI::StarRec::radVel, EECFI::StarRec::starDec, EECFI::StarRec::starId, and EECFI::StarRec::starRa.

vector< string > EECFI::StarFile::readIds | ( |  | ) | throw (CfiError)

Read the list of star names.

Returns:
  Returns a vector of strings with the names of the stars.

References EECFI::EEFile::fileName, and EECFI::CfiClass::throwWarn.

## Member Data Documentation

vector<StarRec> EECFI::StarFile::starRec

Referenced by read().